petsc-3.4.2 2013-07-02

# PetscSFSetFromOptions

set PetscSF options using the options database

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFSetFromOptions(PetscSF sf)

Logically Collective

### Input Arguments

sf -star forest

### Options Database Keys

-sf_synchronization -synchronization type used by PetscSF

### Keywords

KSP, set, from, options, database

### See Also

PetscSFWindowSetSyncType()

Level:intermediate
Location:src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html